## net.i2p.router.peermanager
Class IsFailingCalculator

    java.lang.Object
      net.i2p.router.peermanager.Calculator
          net.i2p.router.peermanager.IsFailingCalculator

    public class IsFailingCalculator

extends Calculator

Simple boolean calculation to determine whether the given profile is "failing" - meaning we shouldn't bother trying to get them to do something. However, if we have a specific need to contact them in particular - e.g. instructions in a garlic or leaseSet - we will try. The currently implemented algorithm determines that a profile is failing if withing the last few minutes, they've done something bad:

- It has a comm error (TCP disconnect, etc) in the last minute or two
- They've failed to respond to a db message in the last minute or two
- They've rejected a tunnel in the last 5 minutes
- They've been unreachable any time in the last 5 minutes

Constructor Summary
`IsFailingCalculator(RouterContext context)`

Method Summary
`boolean` `calcBoolean(PeerProfile profile)` Evaluate the profile according to the current metric

Methods inherited from class net.i2p.router.peermanager.Calculator
`calc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsFailingCalculator

    public IsFailingCalculator(RouterContext context)

Method Detail

### calcBoolean

    public boolean calcBoolean(PeerProfile profile)

  Description copied from class: `Calculator`
  Evaluate the profile according to the current metric

  Overrides:
    `calcBoolean` in class `Calculator`